 PrefabFiles =
{
	"rattan",
    "wormwood",
}
local assets=
{
	Asset("ANIM", "anim/rattan.zip"),
	Asset("ANIM", "anim/swap_rattan.zip"),
	Asset("IMAGE", "images/inventoryimages/rattan.tex"),
	Asset("ATLAS", "images/inventoryimages/rattan.xml"),
	Asset("ATLAS_BUILD", "images/hjball.xml",256),	
}
local function GlobalUsingMetatable()
    GLOBAL.setmetatable(env,{
	    __index = function (t,k)
		    return GLOBAL.rawget(GLOBAL,k)
		end,
	})
end
GlobalUsingMetatable()

GLOBAL.STRINGS.NAMES.RATTAN = "Rattan"
GLOBAL.STRINGS.RECIPE_DESC.RATTAN = "A weapon made of rattan"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.RATTAN = "It looks sharp！"

TUNING.DMG = 51
TUNING.USE = 120

AddPrefabPostInit("wormwood", function(inst)
	inst:ListenForEvent("killed", function(inst,data)
		local v = data.victim
		local chance = 0.01
		if v and  v.components.combat ~= nil 
		and not v:HasTag("prey") 
      	and not v:HasTag("veggie") 
		and not v:HasTag("structure") then
		    local deltaA = (v.components.combat.defaultdamage)*0.25
            inst.components.health:DoDelta(deltaA)
			if math.random() <= chance then
			    local deltaB = (v.components.health.maxhealth)*0.1
			    inst.components.health:DoDelta(deltaB) --枯木逢春
				local fx = SpawnPrefab("wathgrithr_spirit")
        		fx.Transform:SetPosition(v:GetPosition():Get())
        		fx.Transform:SetScale(1,1,1)
			end
	    end
    end)
end)


